mod home;
mod setup;
mod splash;

use crate::{lcd::Lcd, Input};
pub use home::Home;
pub use setup::Setup;
pub use splash::Splash;

// TODO: Only update changes instead of whole screen

pub trait Screen {
    fn draw(&self, lcd: &mut Lcd);
}

pub enum Screens {
    Splash(Splash),
    Home(Home),
    Setup(Setup),
}

impl Screens {
    pub fn input(&mut self, input: &Input) {
        match self {
            Screens::Splash(_) => {}
            Screens::Home(home) => *self = home.input(input),
            Screens::Setup(setup) => *self = setup.input(input),
        }
    }
}
